Update table group

Updates an existing table group. This operation requires administrator privileges.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

PUT /api/sonar/table-groups/:guid

cURL Example

curl -H "Authorization: Bearer <API_KEY>" \
     -d name="updated_table_group" \
     -d description="Updated table group description" \
     -d parent_guid="54157629-74f7-4d80-be5a-8cb8f0c71087" \
     -X PUT "https://HOSTNAME/api/sonar/table-groups/0157fda0-15ed-49f5-acd8-e0ada14c196a"
Request Parameters
KeyRequiredTypeDescriptionNotes
guidYesStringTable group GUID36-character GUID (URL path)
nameYesStringTable group nameMinimum 1 to maximum 50 characters
descriptionNoStringTable group descriptionMaximum 2,000 characters
parent_guidNoStringParent table group GUID36-character GUID

Success Response

{}

Error Responses

guid is not in GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
name parameter is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "name should be not null"
}
name parameter length is invalid

HTTP status code 400

{
  "error_code": "invalid-argument",
  "error_msg": "'name' must be 1 to 50 characters, alphanumeric or underscore characters only, and must not start with a number"
}
description parameter length is invalid

HTTP status code 400

{
  "error_code": "invalid-argument",
  "error_msg": "'description' must be shorter than or equal to 2000 characters."
}
parent_guid is not in GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "parent_guid should be guid type."
}
parent_guid is itself

HTTP status code 400

{
  "error_code": "invalid-argument",
  "error_msg": "table-group-cannot-set-itself-as-parent [guid: 0157fda0-15ed-49f5-acd8-e0ada14c196a]"
}
guid not found

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "table-group-not-found [guid: 0157fda0-15ed-49f5-acd8-e0ada14c196a]"
}
name is duplicated

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "duplicated-name [name: updated_table_group]"
}
parent_guid not found

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "parent-table-group-not-found [guid: 54157629-74f7-4d80-be5a-8cb8f0c71087]"
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}